{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/getaccountpositions","title":"Get current account positions","description":"GET /v3-node-0/smartaccount/{address}/positions: Returns all open positions for a specific smart account across all markets","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/getaccountpositions","markdown":"https://docs.storm.tg/developers/operations/getaccountpositions.md","json":"https://docs.storm.tg/developers/operations/getaccountpositions.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/getaccountpositions"},"operation":{"id":"GetAccountPositions","method":"GET","path":"/v3-node-0/smartaccount/{address}/positions","summary":"Get current account positions","description":"Returns all open positions for a specific smart account across all markets","tags":["Smart accounts"],"deprecated":false,"parameters":[{"name":"address","location":"path","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"description":"Smart account address","example":"string"}],"bodies":[],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[],"schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PositionResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"direction","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"market","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"state","type":"object","required":false,"example":"{\n  \"bundle_id\": \"string\",\n  \"status\": \"string\",\n  \"value\": {\n    \"direction\": 0,\n    \"discount\": 0,\n    \"fee\": 0,\n    \"last_updated_cumulative_premium\": 0,\n    \"last_updated_timestamp\": 0,\n    \"margin\": {},\n    \"open_notional\": {},\n    \"rebate\": 0,\n    \"size\": {}\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.PositionStateResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"bundle_id","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"value","type":"object","required":false,"example":"{\n  \"direction\": 0,\n  \"discount\": 0,\n  \"fee\": 0,\n  \"last_updated_cumulative_premium\": 0,\n  \"last_updated_timestamp\": 0,\n  \"margin\": {},\n  \"open_notional\": {},\n  \"rebate\": 0,\n  \"size\": {}\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.schemas.PositionState","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"direction","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"discount","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"fee","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"last_updated_cumulative_premium","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"last_updated_timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"margin","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.Coins","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"open_notional","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.Coins","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rebate","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"size","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.big.Int","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}}],"variants":[]},"variants":[]},"example":"[\n  {\n    \"direction\": \"string\",\n    \"market\": \"string\",\n    \"state\": {\n      \"bundle_id\": \"string\",\n      \"status\": \"string\",\n      \"value\": {\n        \"direction\": 0,\n        \"discount\": 0,\n        \"fee\": 0,\n        \"last_updated_cumulative_premium\": 0,\n        \"last_updated_timestamp\": 0,\n        \"margin\": {},\n        \"open_notional\": {},\n        \"rebate\": 0,\n        \"size\": {}\n      }\n    }\n  }\n]","headers":[]},{"status":"400","description":"Bad Request","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]},{"status":"500","description":"Internal Server Error","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/positions' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/{address}/positions\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/{address}/positions\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Get current account positions","url":"https://docs.storm.tg/developers/operations/getaccountpositions"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Get current account positions\n\n`GET /v3-node-0/smartaccount/{address}/positions`\n\nReturns all open positions for a specific smart account across all markets\n\n## Authorization\n\n\n\n## Parameters\n\n- path: address (string; required). Smart account address\n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/positions' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/v3-node-0/smartaccount/{address}/positions\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/smartaccount/{address}/positions\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Trading.api.PositionResponse\n\n**200** application/json — OK\n\nType: object[]\n\n[]Schema: Trading.api.PositionResponse\n\n[]Type: object\n\n[]Required fields: none\n\n- []direction (string; optional)\n\n[]direction example: string\n\n[]direction.Type: string\n\n- []market (string; optional)\n\n[]market example: string\n\n[]market.Type: string\n\n- []state (object; optional)\n\n[]state example: {\n  \"bundle_id\": \"string\",\n  \"status\": \"string\",\n  \"value\": {\n    \"direction\": 0,\n    \"discount\": 0,\n    \"fee\": 0,\n    \"last_updated_cumulative_premium\": 0,\n    \"last_updated_timestamp\": 0,\n    \"margin\": {},\n    \"open_notional\": {},\n    \"rebate\": 0,\n    \"size\": {}\n  }\n}\n\n[]state.Schema: Trading.api.PositionStateResponse\n\n[]state.Type: object\n\n[]state.Required fields: none\n\n- []state.bundle_id (string; optional)\n\n[]state.bundle_id example: string\n\n[]state.bundle_id.Type: string\n\n- []state.status (string; optional)\n\n[]state.status example: string\n\n[]state.status.Type: string\n\n- []state.value (object; optional)\n\n[]state.value example: {\n  \"direction\": 0,\n  \"discount\": 0,\n  \"fee\": 0,\n  \"last_updated_cumulative_premium\": 0,\n  \"last_updated_timestamp\": 0,\n  \"margin\": {},\n  \"open_notional\": {},\n  \"rebate\": 0,\n  \"size\": {}\n}\n\n[]state.value.Schema: Trading.schemas.PositionState\n\n[]state.value.Type: object\n\n[]state.value.Required fields: none\n\n- []state.value.direction (integer; optional)\n\n[]state.value.direction example: 0\n\n[]state.value.direction.Type: integer\n\n- []state.value.discount (integer; optional)\n\n[]state.value.discount example: 0\n\n[]state.value.discount.Type: integer\n\n- []state.value.fee (integer; optional)\n\n[]state.value.fee example: 0\n\n[]state.value.fee.Type: integer\n\n- []state.value.last_updated_cumulative_premium (integer; optional)\n\n[]state.value.last_updated_cumulative_premium example: 0\n\n[]state.value.last_updated_cumulative_premium.Type: integer\n\n- []state.value.last_updated_timestamp (integer; optional)\n\n[]state.value.last_updated_timestamp example: 0\n\n[]state.value.last_updated_timestamp.Type: integer\n\n- []state.value.margin (object; optional)\n\n[]state.value.margin example: {}\n\n[]state.value.margin.Schema: Trading.github_com_xssnick_tonutils-go_tlb.Coins\n\n[]state.value.margin.Type: object\n\n- []state.value.open_notional (object; optional)\n\n[]state.value.open_notional example: {}\n\n[]state.value.open_notional.Schema: Trading.github_com_xssnick_tonutils-go_tlb.Coins\n\n[]state.value.open_notional.Type: object\n\n- []state.value.rebate (integer; optional)\n\n[]state.value.rebate example: 0\n\n[]state.value.rebate.Type: integer\n\n- []state.value.size (object; optional)\n\n[]state.value.size example: {}\n\n[]state.value.size.Schema: Trading.big.Int\n\n[]state.value.size.Type: object\n\nExample\n\n\n\n```json\n[\n  {\n    \"direction\": \"string\",\n    \"market\": \"string\",\n    \"state\": {\n      \"bundle_id\": \"string\",\n      \"status\": \"string\",\n      \"value\": {\n        \"direction\": 0,\n        \"discount\": 0,\n        \"fee\": 0,\n        \"last_updated_cumulative_premium\": 0,\n        \"last_updated_timestamp\": 0,\n        \"margin\": {},\n        \"open_notional\": {},\n        \"rebate\": 0,\n        \"size\": {}\n      }\n    }\n  }\n]\n```\n\n## Response 400 · Trading.api.ErrorResponse\n\n**400** application/json — Bad Request\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```\n\n## Response 500 · Trading.api.ErrorResponse\n\n**500** application/json — Internal Server Error\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```","text":"Get current account positions Returns all open positions for a specific smart account across all markets GET /v3-node-0/smartaccount/{address}/positions Smart accounts address Smart account address string 200 OK 400 Bad Request code string error string externalQueryId string msg string 500 Internal Server Error code string error string externalQueryId string msg string","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}